const path = require('path')

const resolve = relativePath => path.resolve(__dirname, relativePath)

module.exports = {
  setupFiles: [resolve('./setup')],
  setupFilesAfterEnv: [resolve('./setupAfterEnv')],
  testMatch: ['**/*.test.{js,jsx,ts,tsx}'],
  testURL: 'http://localhost',
  transform: {
    '^.+\\.jsx?$': resolve('./transform-jsx.js'),
    '.(ts|tsx)': 'ts-jest',
  },
  testPathIgnorePatterns: ['/node_modules/', '/lib/'],
  transformIgnorePatterns: ['node_modules/(?!(@berlitz)/)'],
  moduleFileExtensions: ['js', 'json', 'jsx', 'ts', 'tsx'],
  moduleNameMapper: {
    '.+\\.(png|jpg|ttf|svg|css)$': resolve('./transform-static-file.js'),
  },
  collectCoverageFrom: [
    '**/components/**/src/**/*.js',
    '**/components/**/src/**/*.jsx',
    '**/packages/blocks/**/src/**/*.js',
    '**/packages/blocks/**/src/**/*.jsx',
    '!**/components/theme/**',
  ],
  coverageReporters: ['json-summary', 'text', 'lcov', 'html'],
  coveragePathIgnorePatterns: ['/node_modules/', '/lib/'],
  coverageThreshold: {
    global: {
      branches: 70,
      functions: 85,
      lines: 85,
      statements: 85,
    },
  },
}
